
for t = 1,6000,1 do
	beast_name = c_any_model_needed( 1 )
--	c_print( "c_any_model_needed ", beast_name )

	if beast_name ~= "none" then

			if beast_name == "mole_target" then
				dofile("mole_target_bad.lua")
			end

			if beast_name == "flower_colour" then
				dofile("aphid_twin.lua")
			end

			if beast_name == "baskethead" then
				dofile_lua( "basketbase" )
				dofile_lua( "basket_ball" )
			end

			if beast_name == "baskethead2" then
				dofile_lua( "basketbase2" )
			end

			if beast_name == "spiderbasketbase" then
				dofile_lua( "spider_ball" )
			end

			if beast_name == "suspension_ball" then
				dofile("powerup_stickyeyes.lua")
			end

			if beast_name == "flower_ball" then
				dofile("powerup_stickyeyes.lua")
			end

			if beast_name == "brick_ball" then
				dofile_lua( "breakbrick_move" )
				dofile_lua( "breakbrick_firecrab" )
				dofile_lua( "breakbrick_rockcrab" )
			end

			if beast_name == "breakbrick_move" then
				dofile_lua( "breakbrick_firecrab" )
				dofile_lua( "breakbrick_rockcrab" )
			end

			if beast_name == "elastic_ball" then
				dofile_lua( "elastic_chain" )
			end

			if beast_name == "elastic_swing_ball" then
				dofile_lua( "elastic_swing_chain" )
			end

			if beast_name == "elastic_swing_post" then
				dofile_lua( "elastic_swing_chain" )
				dofile_lua( "elastic_swing_ball" )
			end

			if beast_name == "elastic_bone_post" then
				dofile_lua( "elastic_bone_chain" )
			end

			if beast_name == "elastic_ledge_post" then
				dofile_lua( "elastic_ledge_chain" )
			end

			if beast_name == "waterjet_timer" then
				dofile_lua( "water_timer" )
			end

			if beast_name == "firejet_timer" then
				dofile_lua( "fire_timer" )
			end

			if beast_name == "switchjet_timer" then
				dofile_lua( "switch_timer" )
			end

			if beast_name == "obsticle_gate" or beast_name == "obsticle_gate_move" then
				dofile_lua( "obsticle_fizz" )
				dofile_lua( "null_fizz" )
			end

			dofile_lua( beast_name )
	else
		-- end loop
		break
	end
end

